
Redmine - Defect #866

Unusable side-by-side diff - horizontal scrolling

2008-03-15 02:24 - Nils Adermann

Status: Closed Start date: 2008-03-15

Priority: High Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed Affected version:  

Description

The side by side diff is pretty much unusable because the code is neither wrapped when it's too long nor is the horizontal scrollbar

anywhere reachable (there is one at the very bottom of the page for the div). You should either be able to scroll the entire page

horizontally. That way you don't need to scroll all the way down to use the horizontal scrollbar but can scroll horizontally anywhere on

the page using your browser. Or lines should be wrapped to not let this happen at all. For an example see 

http://code.phpbb.com/repositories/diff/5/trunk/phpBB/includes/functions_compress.php?rev_to=5853&rev=6015&action=diff&id=5&c

ontroller=repositories&path=trunk%2FphpBB%2Fincludes%2Ffunctions_compress.php&type=sbs

Related issues:

Is duplicate of Redmine - Defect #200: scm view diffs Closed

History

#1 - 2008-03-15 02:43 - Nils Adermann

Well the demo link doesn't show it anymore as I removed class="autoscroll" from the div as I'd like to be able to use it ;-)

#2 - 2008-03-15 08:34 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.7

It was fixed in r1020. Diffs are now wrapped:

http://www.redmine.org/repositories/diff/redmine?rev=1249&type=sbs

I think you can fix it manually by adding this to your css:

table.filecontent td.line-code pre {

    white-space: pre-wrap; /* CSS2.1 compliant */

    white-space: -moz-pre-wrap; /* Mozilla-based browsers */

    white-space: -o-pre-wrap; /* Opera 7+ */

}

#3 - 2008-03-15 11:20 - Nils Adermann

Thanks, that works.

#4 - 2008-03-18 18:56 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed
